<template>   
    <tr>
        <!-- <td> -->
            <span class="approveBox">
                <span><strong>审批附件：</strong></span>
                <span class="img"  v-for="(its,index) in approveInfos">                
                    <ul class="approveUl" v-if="its.fileList">
                    <li v-for="(iks,ix) in JSON.parse(its.fileList)" @click="downloadApprove(iks)">{{iks.name}}</li>           
                    </ul>
                </span>
            </span>
        <!-- </td> -->
     </tr>          
</template>
<script>
export default {
    data(){
        return {
          approveInfos:[]
        }
    },
    mounted(){
        console.log(this.$parent.formdata.approveInfos)
        this.approveInfos=this.$parent.formdata.approveInfos
    },
    methods:{
     downloadApprove(iks){
       if(iks.path&&iks.path.indexOf('http')>-1){
           window.open(iks.path)
       }else{
           window.open('/obpm'+iks.path)
       }
    },
    }
}
</script>
<style lang="scss">
.approveInfosTablediv{}
.approveBox{
    display: flex;width: 500px;padding: 20px;
    strong{font-size: 14px;}
}
.approveUl{
    li{
        cursor: pointer;
    }
}
</style>